### Enumeration

# Gtk TextExtendSelection

#### Declaration

    enum Gtk.TextExtendSelection

#### Description [src]

Granularity types that extend the text selection. Use the `GtkTextView::extend-selection` signal to customize the selection.

#### Members

Name | Description
--- | ---
`GTK_TEXT_EXTEND_SELECTION_WORD` | Selects the current word. It is triggered by a double-click for example.
`GTK_TEXT_EXTEND_SELECTION_LINE` | Selects the current line. It is triggered by a triple-click for example.